Subject: Re: bug#52885: 28.0.50; xwidget webkit scrolling behaviour confusing or broken with multiple windows

From: Po Lu <[email-masked]>
Date: Thu, 30 Dec 2021 15:09:19 +0800

Eli Zaretskii <[email-masked]> writes:

> But C-f and C-b should work, as they do with images that are larger
> than the window width.

Unfortunately, that wasn't the case here, since xwidget-webkit defines
its own replacements for C-f and C-b.

I made those commands adjust the window hscroll if the widget is wider
than the window, which should solve this problem.  However, the correct
thing to do when the window is too small is always to press "a", which
will adjust the widget's dimensions to match the current window.  (It
should be done automatically, but that's not always possible.)

Thanks.